NoMethodError in account CRUD operations.
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.2.4

Description

Hi, I am getting NoMEthodError while creating or adding new user including authentication and accounts CRUD operation.

Everything is working fine except the accounts/authentication operation.

Does anyone know how to solve this error?

History

#1 - 2022-05-14 12:27 - Pavel Rosický

did you migrate to redmine 5 already? you can't switch back to redmine 4 without restoring the database schema

1/ use a backup before the redmine 5 upgrade (you'll lose all data since then)

2/ upgrade to redmine 5, revert all migrations back to your desired version

3/ add missing columns manually, but this could cause inconsistencies / failures in the future because the migrations_schema won't match the real

DB state.

#2 - 2022-05-14 17:56 - Mujassim Jamal

Pavel Rosický wrote:

did you migrate to redmine 5 already? you can't switch back to redmine 4 without restoring the database schema

1/ use a backup before the redmine 5 upgrade (you'll lose all data since then)

2/ upgrade to redmine 5, revert all migrations back to your desired version

3/ add missing columns manually, but this could cause inconsistencies / failures in the future because the migrations_schema won't match the

real DB state.

 Yes, i did migrate to version 5 once then i switch back to the previous version & got this error.

As you specified in second point, how can i revert all migrations back to the previous version?

Also, Redmine is running on docker instance so is there any other alternative solution there?

#3 - 2022-05-16 04:16 - Mujassim Jamal

- Status changed from New to Resolved

#4 - 2022-05-30 18:57 - Holger Just

- Status changed from Resolved to Closed
